xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Daniel Schoepe <asgaroth_@gmx.de>
Safe Haskell | None

XMonad.Actions.UpdateFocus

Contents

- Usage

Description

Updates the focus on mouse move in unfocused windows.

Synopsis

- focusOnMouseMove :: Event -> X All
- adjustEventInput :: X ()

# Usage

To make the focus update on mouse movement within an unfocused window, add the following to your `~/.xmonad/xmonad.hs`:

     import XMonad.Actions.UpdateFocus
     xmonad $ defaultConfig {
       ..
       startupHook = adjustEventInput
       handleEventHook = focusOnMouseMove
       ..
     }

This module is probably only useful when focusFollowsMouse is set to True(default).

focusOnMouseMove :: Event -> X All Source

Changes the focus if the mouse is moved within an unfocused window.

adjustEventInput :: X ()Source

Adjusts the event mask to pick up pointer movements.